Skip to main content
GET
/
api
/
{projectId}
/
jobs
/
all
List all jobs
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/all \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/all"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/all', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "jobs": [
    {
      "id": 123,
      "category": "<string>",
      "categoryKey": "<string>",
      "key": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "jobNotificationUids": [
        123
      ],
      "started": "2023-11-07T05:31:56Z",
      "finished": "2023-11-07T05:31:56Z",
      "finishedSuccessful": true,
      "additionalInfo": "<string>",
      "computeTime": 123,
      "createdByUser": {
        "id": 123,
        "name": "<string>",
        "username": "<string>",
        "photo": "<string>"
      },
      "categoryCount": 123,
      "metadata": {}
    }
  ],
  "totalJobCount": 123,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

startDate
string<date-time>

Start date

endDate
string<date-time>

End date

limit
integer

Maximum number of results

offset
integer

Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.

rootOnly
boolean

Whether to exclude jobs with a parent ID (so jobs started as part of another job)

key
string

Job key to filter on

category
string

Job category to filter on

finished
enum<string>

Job finish status to filter on

Available options:
successful,
failed,
all

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

jobs
object[]
required

Active jobs

totalJobCount
integer
required
error
string

Optional error description (set if 'success' was false)